Loading...
Searching...
No Matches
casacore::MeasTableMulPosEarthXY Class Reference
measures package (libcasa_measures) » Measures_module

Class calculating the XY earth position multipliers. More...

`#include <MeasTableMul.h>`

## Public Member Functions

| MeasTableMulPosEarthXY ()
virtual void | init ()
virtual void | calc (Matrix< Double > &, Double time)
Public Member Functions inherited from casacore::MeasTableMul
| MeasTableMul ()
virtual | ~MeasTableMul ()
void | clear ()
std::shared_ptr< Matrix< Double > > | getArray (Double time, Double epsilon)

## Static Private Attributes

static const Double | theirMPOSXY [189][4]

## Additional Inherited Members

Protected Attributes inherited from casacore::MeasTableMul
std::mutex | itsMutex
Int64 | itsLastUsed
std::vector< Int64 > | itsUsed
std::vector< Double > | itsTimes
std::vector< std::shared_ptr< Matrix< Double > > > | itsArrays
Matrix< Double > | itsDefArray

## Detailed Description

Class calculating the XY earth position multipliers.

Definition at line 266 of file MeasTableMul.h.

## Constructor & Destructor Documentation

## MeasTableMulPosEarthXY()

casacore::MeasTableMulPosEarthXY::MeasTableMulPosEarthXY | ( |  | ) |

## Member Function Documentation

## calc()

virtual void casacore::MeasTableMulPosEarthXY::calc | ( | Matrix< Double > & | ,
|  | Double | time )

virtual

Implements casacore::MeasTableMul.

References casacore::time().

## init()

virtual void casacore::MeasTableMulPosEarthXY::init | ( |  | ) |

virtual

Implements casacore::MeasTableMul.

## Member Data Documentation

## theirMPOSXY

const Double casacore::MeasTableMulPosEarthXY::theirMPOSXY[189][4]

static private

Definition at line 273 of file MeasTableMul.h.

The documentation for this class was generated from the following file:

- measures/Measures/MeasTableMul.h